### Function

# Qrtr get_node_for_uri

since: 1.0

#### Declaration [src]

    gboolean
    qrtr_get_node_for_uri (
      const gchar* uri,
      guint32* node_id
    )

#### Description [src]

Get the QRTR node id from the specified URI.

Available since: 1.0

#### Parameters

`uri`

  Type: `const gchar*`

  A URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`node_id`

  Type: `guint32*`

  Return location for the node id.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if `node_id` is set, `FALSE` otherwise.